### Function

# Atspi generate_mouse_event_async

#### Declaration [src]

    void
    atspi_generate_mouse_event_async (
      glong x,
      glong y,
      const gchar* name,
      AtspiGenerateMouseEventCB callback,
      void* callback_data,
      GError** error
    )

#### Description [src]

Like atspi_generate_mouse_event, but asynchronous.

#### Parameters

`x`

  Type: `glong`

  A #glong indicating the screen x coordinate of the mouse event.

`y`

  Type: `glong`

  A #glong indicating the screen y coordinate of the mouse event.

`name`

  Type: `const gchar*`

  A string indicating which mouse event to be synthesized (e.g. “b1p”, “b1c”, “b2r”, “rel”, “abs”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `AtspiGenerateMouseEventCB`

  A callback to be called when a reply is received. May be NULL.

`callback_data`

  Type: `void*`

  Data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.